@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$admin-defaults__z-button--size: $editor-defaults__inline-box--height;
/* original */
    .cng-adminmode .baseWidgetTab > .z-tabbox > .z-tabs {
        top: -76px;
    }

    .cng-adminmode .baseWidgetTab.widget_cnt,
    .cng-adminmode .baseWidgetTab > .z-tabbox {
        overflow: visible;
    }

    .cng-adminmode > .z-window-embedded.z-window-noborder  > .mainWidgetSlot {
        position: absolute;
        top: 60px !important;
        bottom: 0;
        left: 5px;
        right: 5px;
        height: auto !important;
    }

    .cng-adminmode > .z-window-embedded.z-window-noborder  > .mainWidgetSlot.no_stubs,
    .cng-adminmode > .z-window-embedded.z-window-noborder  > .mainWidgetSlot.stubs_presented {
        height: 100% !important;
    }


    .cng-adminmode.cng-adminmode-symbolic.z-window-embedded.z-window-noborder  > .mainWidgetSlot {
        left: 0;
    }


    .cng-adminmode.cng-adminmode-symbolic .widget_cnt.widget_children {
        border: none;
    }

    .cng-adminmode .z-tabpanel-content > .widget_cnt {
        margin-top: 0;
        border: none;
    }

    .cng-adminmode .z-tabpanel-content > .widget_cnt > .widget_body {
        top: 5px;
        z-index: 0;
    }



    .cng-adminmode .widget_cnt > .z-tabbox {
        position: absolute;
        bottom: 0;
        top: 25px;
        left: 0;
        right: 0;
        height: auto !important;
    }



    .cng-adminmode .widgetTemplate > div {
        opacity: 0.8;
    }

    .cng-adminmode .widgetTemplate > .singleWidget {
        opacity: 0.8;
    }


    .cng-adminmode .widgetTabTemplate {
        opacity: 0.8;
    }

    .cng-adminmode .widgetTemplate.widget_body,
    .cng-adminmode .widgetTabTemplate  {
        border: 2px dotted #A1D4F3;
    }

    .cng-adminmode-symbolic .widgetTemplate > div {
        opacity: 1;
    }

    .cng-adminmode-symbolic .widgetTemplate {
        background: #90A842;
        opacity: 1;
    }

    .cng-chooseSlot-btn-cnt {
        padding: 5px;
        background: #EEE;
        border-top: 1px solid #BBB
    }

    .cng-chooseSlot-listbox {
        margin: 5px;
    }

    .cng-adminmode-symbolic .cng-placeholderContent {
        position: absolute;
        height: 100%;
        top: 0;
        left: 0;
        width: 100%;
    }

    .cng-adminmode-symbolic .cng-addChildWidgetSymbolic:HOVER {
        background-color: #99bbdd;
    }

    .cng-adminmode-symbolic .cng-addChildWidgetSymbolic,
    .cng-adminmode-symbolic .addMainSlotWidgetBtn {
        background: url("images/icon_plus_16x16.png") no-repeat 2px 2px;
        cursor: pointer;
        border-top-left-radius: 5px;
        border-bottom-right-radius: 5px;
        border: 1px dotted #A1D4F3;
    }

    .cng-adminmode-symbolic .cng-addChildWidgetSymbolic {
        width: 20px;
        height: 20px;
        position: absolute;
        bottom: 0;
        right: 0;
        border-bottom: none;
        border-right: none;
    }

    .cng-adminmode-symbolic .addMainSlotWidgetBtn {
        padding-left: 20px;
        border-top-right-radius: 5px;
        border-bottom-left-radius: 5px;
        background-color: #ccc;
    }

    .cng-adminmode .widget_toolbar {
        display: block;
    }

    .cng-connectionsVisible .cng-adminmode .widget_toolbar .toolbarComponent,
    .cng-connectionsVisible .cng-addChildWidgetSymbolic {
        display: none;
    }

    .cng-connectionsVisible .mainWidgetSlot {
        opacity: 0.7;
    }

    .cng-adminmode .widget_toolbar .toolbarComponent {
        position: absolute;
        top: 1px;
        right: 5px;
    }

    .cng-connectionsVisible .z-button.stub_toggle_btn{
        visibility: hidden;
    }

    .cng-adminmode .widget_toolbar .toolbarComponent > div {
        visibility: hidden;
    }

    .cng-adminmode .widget_toolbar:HOVER .toolbarComponent > div,
    .cng-adminmode .widget_toolbar .toolbarComponent > .connectBtn,
    .cng-adminmode .widget_toolbar .toolbarComponent > .templateBtn_activated  {
        visibility: visible;
    }

    .cng-adminmode .widget_body > .widget_toolbar {
        left: 4px;
        right: 4px;
        width: auto;
    }

    .cng-adminmode.cng-adminmode-symbolic .widget_toolbar.singleWidget {
        left: 0px;
        right: 0px;
        border-top-right-radius: 5px;
        border-top-left-radius: 5px;
        /*overflow: hidden;*/
    }
    .cng-adminmode.cng-adminmode-symbolic .widgetStub .widget_toolbar.singleWidget{
         border-top-right-radius: 0px;
        border-top-left-radius: 0px;
        border:none;
        background:#f0f0f0;
    }

    .cng-adminmode.cng-adminmode-symbolic .widgetStub{
        background-color: #fff;
       border:none;
       width:100%;
       left:0px;
       margin-left:0px;
       margin-right:0px;
       min-height:50px;
    }

    .cng-adminmode.cng-adminmode-symbolic .stubWidgetContainerHeader{
        background-color: #f0f0f0;
        height: 30px;
        width: 250px;
    }

    .cng-adminmode.cng-adminmode-symbolic .stub_toggle_btn{
        background-image: url("images/icon_func_colapse_left.png");
        background-position: center center;
        background-repeat: no-repeat;
        position: absolute;
        right: 0;
        text-indent: -9999px;
        width: 28px;
    }

    .cng-adminmode.cng-adminmode-symbolic .stubWidgetContainerHeader > .z-label{
        color: navy;
        font-size: 12px;
        font-weight: bold;
        padding-left: 5px;
        position: relative;
        top: 9px;
        width: 100%;
        text-transform: uppercase;
        color: #303030;
    }


    .cng-adminmode.cng-adminmode-symbolic .widgetStub .widget_toolbar .toolbarComponent {
        position: absolute;
        top: 5px;
        right: 1px;
    }

    .cng-adminmode .widget_cnt {
        /*border: 2px dotted #354156;*/
        background: #ededed;
        border-left: 1px dotted #7D7D7D;
        border-right: 1px dotted #7D7D7D;
        border-bottom: 1px dotted #7D7D7D;
        position: absolute;
        height: auto !important;
        top: 30px;
        left: 5px;
        bottom: 5px;
        right: 5px;
        overflow: auto;
        min-height: 50px;
    }

    .cng-adminmode .widget_body {
    /*	margin: 10px;
        margin-top: 30px !important;*/
        min-height: 50px !important;
        overflow: visible;
        bottom: 5px;
        left: 5px;
        overflow: visible;
        position: absolute;
        right: 5px;
        top: 27px;
        height: auto !important;
        width: auto !important;
        background: #b5bdc9;
    }

    .cng-adminmode .widgetPanel {
        margin-top: 5px;
    }

    .cng-adminmode .z-portalchildren-content .widgetPanel:FIRST-CHILD {
        margin-top: 25px;
    }


    .cng-adminmode .widgetPanel .z-panel-header {
        visibility: hidden;
    }

    .cng-adminmode .widgetPanel.z-panel-collapsed .z-panel-header {
        visibility: visible;
    }

    .cng-adminmode .widgetPanel:HOVER .z-panel-header {
        visibility: visible;
    }

    .cng-adminmode .z-panelchildren > .widget_cnt {
        position: relative;
        border: none;
    }

    .cng-adminmode .defaultPortalWidget .widgetPanel {
        margin: 0 5px 2px;
    }

    .cng-adminmode .singleWidget {
        top: 0;
    }



    .cng-adminmode .widgetPanel > .z-panel-body > .z-panelchildren > .widget_cnt,
    .cng-adminmode .widgetPanel > .z-panel-body > .z-panelchildren > .widget_cnt > .widget_body  {
        margin: 0 !important;
        top: 0;
        left: 0;
        position: relative;
    }

    .cng-adminmode .widget_toolbar.singleWidget {
        left: 0;
        right: 0;
        background: url("images/widget_header_background.png") repeat-x scroll 0 0 #B0D7FF;
        border-left: 1px solid #7F8594;
        border-right: 1px solid #7F8594;
    }


    .cng-adminmode .createWidgetBtn, .cng-adminmode .symbolicCheck {
        display: block;
    }


    .createWidgetBtn, .symbolicCheck {
        display: none;
        top: 2px;
        left: 8px;
    }

    .symbolicCheck .z-checkbox-content,
    .cng_admin_outset, .cng_admin_roleselectorlabel {
        color: white;
    }

    .cng_admin_roleselectorlabel {
        display: block;
        float: left;
        margin-top: 14px;
    }


    .ycon {
        width: 61px;
        height: 47px;
        background: rgba(0, 0, 0, 0) url("images/headline_icon.png") no-repeat scroll 20px center;
        cursor: pointer;
    }




    .connectorTitle {
        font-weight: bold;
        margin-top: 4px;
        display: block;
    }

    .widgetCell .z-panel-header {
        margin: 2px;
        padding: 5px;
        border: 1px solid #bbb;
        -webkit-border-radius:5px;
        border-radius:5px;
        -moz-border-radius:5px;
    }

    .cng-advancedInfo {
        margin-top: 20px;
    }

    .cng-advancedInfo-row {
        margin-top: 7px;
    }

    .cng-advancedInfo-row .z-label {
        margin-left: 10px;
        display: block;
    }

    .cng-advancedInfo-row .z-label:FIRST-CHILD {
        margin-left: 3px;
        color: #888;
    }

    .widgetCell .widgetName > .z-label,
    .addWidgetWizardDetails .widgetName > .z-label {
        margin-right: 20px;
        color: #555555;
        font-size: 16px;
        font-weight: bold;
    }

    .widgetCell .widgetName .code {
        font-size: 0.8em;
        font-weight: normal;
        margin-right: 0;
        color: #333;
    }

    .addWidgetWizardDetails .widgetDescr {
        margin-top: 4px;
        padding-left: 20px;
    }

    .addWidgetWizardDetails .widgetDescr .z-label {
        color: #333;
    }

    .addWidgetWizardDetails {
        position: relative;
    }

    .addWidgetWizardDetails.settingsContent .infoCnt {
        border-bottom: none;
    }

    .addWidgetWizardDetails .infoCnt {
        padding: 5px;
        padding-left: 15px;
        overflow: auto;
        height: 316px;
        border-bottom: 1px solid #aaa;
    }


    .addWidgetWizardDetails.z-div .z-label{
        font-size: 10px;
    }

    .addWidgetWizardDetails .addBtn {
        margin-top: 30px;
        position: absolute;
        bottom: 3px;
        right: 3px;
    }

    .addWidgetWizardDetails .descTitle {
        margin-top: 10px;
        margin-bottom: 15px;
    }

    .addWidgetWizardDetails .socketLabel {
        margin-left: 20px;
    }

    .addWidgetWizardDetails .sockets {
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .addWidgetWizardDetails .sockets .z-label {
        display:block;
    }

    .addWidgetWizardDetails .sockets .socketLabel {
        color: #333;
    }

    .chooseWidgetWizard .z-window-highlighted.z-window-content {
        background: #ddd;
    }

    .chooseWidgetWizard .z-toolbarbutton-content    {
        font-size: 11px;
        font-weight: normal;
    }

    .chooseWidgetWizard .z-toolbarbutton {
        right: 5px !important;
    }

    .chooseWidgetWizard .z-window-content > .z-div > .z-div > .z-div > .z-label {
        font-size: 12px;
    }

    .chooseWidgetWizard .z-window-content .z-textbox {
        width: 140px;
    }

    .chooseWidgetWizard .z-window-content:first-child .z-div > .z-div > .z-div > .z-button {
        width: 50px;
        font-size: 12px;
    }

    .chooseWidgetLabel {
        line-height: 27px;
        margin-left: 5px;
    }


    .widgetPlaceholder {
        min-height: 80px;
        border: 1px dotted #A1D4F3;
        margin: 30px;
        margin-top: -1px;
        margin-bottom: -1px;
        position: relative;
        width: 200px;
        left: 220px;
        background: #516483;
        -webkit-border-radius:5px;
        -moz-border-radius:5px;
    }

    .cng-adminmode-symbolic.cng-adminmode .stubContainerButton{
        background-image: url("images/icon_editor_holder.png");
        background-position: center center;
        background-repeat: no-repeat;
        float: left;
        height: 28px;
        left: 5px;
        margin-top: 10px;
        position: relative;
        text-indent: -9999px;
        width: 28px;
    }

    .cng-adminmode-symbolic.cng-adminmode .mainWidgetSlot.stubs_presented  > .widgetPlaceholder{
         margin-left:290px;
    }

    .cng-adminmode-symbolic.cng-adminmode .mainWidgetSlot.no_stubs > .widgetPlaceholder{
         margin-left:48px;
    }

    .cng-adminmode-symbolic.cng-adminmode .stubContainer{
        float: left;
        position: relative;
        margin-left:10px;
        margin-top:10px;
        background-color: transparent;
        height: 98% !important;
    }

    .barDiv .z-label {
        display: none;
        color:  #A1D4F3;
        bottom: 5px;
        left: 4px;
        position: absolute;
    }

    .showSlotIDs .barDiv .z-label {
        background: none repeat scroll 0 0 #222222;
        border: 1px solid;
        display: inline;
        padding: 2px;
    }

    .cng-adminmode-symbolic.cng-adminmode .mainWidgetSlot > .widgetPlaceholder {
        left: 29px;
        margin-bottom: 20px;
        margin-left:48px;
    }

    .cng-adminmode .widgetPlaceholder .singleWidget {
        top: 0;
    }

    .cng-adminmode-symbolic.cng-adminmode .widget_cnt,
    .cng-adminmode-symbolic.cng-adminmode .widget_children_list > .widget_cnt {
        border: none;
        overflow: visible;
        padding-top: 0px;
        margin-top: 40px;
        margin-bottom: 0;
        background: transparent;
        position: relative;
        top: 0;
    }

    .cng-adminmode-symbolic.cng-adminmode .stubContainer > .widget_cnt{
        left:0px;
        margin-top:0px;
        padding: 5px 0 0;
    }



    .cng-adminmode-symbolic .widget_cnt:FIRST-CHILD {
        margin-top: 0 !important;
    }

    .cng-adminmode-symbolic .widgetSlot_label {
        display: none;
    }

    .cng-adminmode-symbolic.z-window-noborder.z-window-embedded .z-window-content{
        overflow: visible;
    }

    .cng-adminmode-symbolic.z-window-noborder.z-window-embedded .z-window-content > .widget_cnt {
        padding-bottom: 5px;
        overflow: visible;
        padding-top:30px;
        top:60px;
    }

    .cng-adminmode.z-window-embedded .z-window-content > .mainWidgetSlot {
        top: 60px !important;
    }

    .widgetPlaceholder .barDiv {
        position:absolute;
        height: 2px;
        width: 60px;
        right: 200px;
        background:  #A1D4F3;
        top: 50%;
        text-align: center;
        z-index: 1000;
    }

    .cng-adminmode-symbolic,
    .cng-adminmode-symbolic .z-window-embedded.z-window-noborder .z-window-content{
        overflow: hidden;
    }

    .cng-adminmode-symbolic .widget_toolbar {
        top: 20px;
        display: none;
    }

    .cng-adminmode-symbolic .widget_toolbar.singleWidget {
        display: block;
    }

    .cng-adminmode-symbolic > div > .widget_cnt > .widget_toolbar {
        top: 0;
    }

    .cng-adminmode-symbolic > div > .widget_cnt
    {
        position: absolute;
        /*bottom: 3px;*/
        left: 0;
        /*right: 0;*/
        height: 110% !important;
        top: 25px;
        /*overflow: hidden;*/
        /*border: 1px solid gray;*/
        margin-top: 0;
    }

    .mainToolbar {
        position: fixed;
        top: 5px;
        left: 5px;
        right: 5px;
        display: none;
        height: 50px;
        z-index: 1000;
        background-color: #4B5366;
        background-image: url("images/head_backgr.gif");
        background-repeat: repeat-x;
    }

    .mainToolbar_inner {
        position: relative;
        float: right;
    }

    .cng-connectionsToolbar {
        clear: both;
        background-color: #4B5366;
        background-image: url("images/head_backgr.gif");
        background-repeat: repeat-x;
        padding: 4px;
    }

    .cng-connectionsToolbar .z-toolbarbutton:hover .z-toolbarbutton-content {
        color: black;
    }
    .cng-connectionsToolbar .z-toolbarbutton-content {
        color: white;
    }

    .mainToolbarTopCover {
        position: absolute;
        width: 100%;
        top: -5px;
        height: 5px;
        background: #1D346B;
    }

    .mainToolbar_table td{
        border-right: 1px solid #1943a7;
    }

    .mainToolbar_table td.z-hbox-separator{
        border-left: 1px solid #4970c9;
        border-right: none;
    }


    /*.mainToolbar label,
    .widgetClipboard .z-caption-l {
        font-size:12px;
        text-transform: uppercase;
        color: white;
    }*/


    .mainToolbar label,
    .widgetClipboard .z-caption-content {
        font-size:12px;
        text-transform: uppercase;
        color: white;
        padding: 0px;
    }


    .cng-adminmode .mainToolbar {
        display: block;
    }


    .cng-adminmode-symbolic > div > .widget_cnt > .widgetPlaceholder {
        left: 20px;
        top: 10px;
     }

    .cng-adminmode.cng-adminmode-symbolic > .z-window-embedded.z-window-noborder .z-window-content  {
        overflow: inherit;
    }

    .widget_label.z-drag-ghost {
        display: block;
        background: #516483;
        opacity: 0.8;
        padding: 5px;
    }

    .widget_toolbar.z-drag:hover {
        background: #ccc;
    }


    .widgetSlot_label {
        color: #E0E0E0;
        margin: 5px;
        display: block;
    }

    .widget_label {
        color: #354156;
        margin: 5px;
        display: block;
        cursor: pointer;
    }


    .widget_toolbar {
        position: absolute;
        top: 0px;
        left: 0px;
        display: none;
        z-index: 1000;
        right: 0;
        height: 23px;
        background: url("images/slot_header_background.jpg") repeat-x scroll 0 0 transparent;
        border-left: 1px solid #4a5c7d;
        border-right: 1px solid #4a5c7d;
    }


    .connectionPopupWindowCnt {
        position: absolute;
        top: 25px;
    }


    .connectionAnchor {
        width: 15px;
        height: 25px;
        position: relative;
    }

    .connectionContainer {
        position: absolute;
        width: 1px;
        height: 1px;
        top: 5px;
        border: 5px solid pink;
        background: pink;
        left: 3px;
        -webkit-border-radius:5px;
        -moz-border-radius:5px;
    }

    .connectionContainer:HOVER {
        border: 7px solid #0059B8;
        background: #0059B8;
        top: 4px;
        left: 1px;
    }

    .connectionBar {
        background: pink;
    }

    .connectionContainer > .connectionBar {
        top: -1px;
    }

    .connectionBar:hover,
    .connectionBar:hover .connectionBar,
    .connectionContainer:HOVER .connectionBar {
        top: -2px;
        background: #0059B8;
    }

    .connectionContainer > .connectionBar:hover,
    .connectionContainer:HOVER > .connectionBar {
        border-top: 2px solid #0059B8;
        border-bottom: 2px solid #0059B8;
        top: -3px;
    }


    .connectionBar:HOVER .connectionBar,
    .connectionContainer:HOVER .connectionBar .connectionBar {
        border: none;
        border-left: 2px solid #0059B8;
        border-right: 2px solid #0059B8;
    }

    .connectionBar:hover .rightAligned,
    .connectionContainer:HOVER .connectionBar .rightAligned {
        left: -3px !important;
    }


    .leftAligned.zeroHeight .endPoint {
        left: -4px;
        top: -7px;
    }

    .leftAligned.zeroHeight .endPoint2 {
        top: -3px;
    }


    .rightAligned.zeroHeight .endPoint {
        left: -4px;
        top: -3px;
    }

    .rightAligned.zeroHeight .endPoint2 {
        top: -7px;
    }


    .connectionBar .endPoint,
    .connectionBar .endPoint2 {
        position: absolute;
        background: pink;
        width: 7px;
        height: 7px;
    }

    .connectionBar .endPoint {
        left: 0px;
    }

    .connectionBar .endPoint2 {
        left: -4px;
    }

    .connectionBar:HOVER .endPoint,
    .connectionBar:HOVER .endPoint2,
    .connectionContainer:HOVER .connectionBar .endPoint,
    .connectionContainer:HOVER .connectionBar .endPoint2 {
        background: #0059B8;
    }

    .connectionBar .bottomAligned {
        bottom: 0;
    }

    .connectionBar .topAligned {
        top: 0;
    }

    .connectionBar .endPoint.bottomAligned,
    .connectionBar .endPoint2.topAligned {
        border-bottom-right-radius: 150px;
        border-top-left-radius: 150px;
    }

    .connectionBar .endPoint.topAligned,
    .connectionBar .endPoint2.bottomAligned {
        border-bottom-left-radius: 150px;
        border-top-right-radius: 150px;
    }

    .connectionLabel {
        display: none;
        position: absolute;
        left: 30px;
        bottom: 5px;
        color: #4099F8;
        border: 1px solid #0059B8;
        background: #222;
        padding: 3px;
        white-space: nowrap;
    }

    .connectionLabel.vertical {
        left: 4px;
        top: 40%;
        bottom: auto;
    }

    .connectionBar:HOVER .connectionLabel,
    .connectionContainer:HOVER .connectionLabel {
        display: block;
    }


    .connectBtn, .removeWidgetBtn, .templateBtn, .addWidgetBtn, .invisibleChildrenBtn, .settingsBtn, .groupBtn {
        height:16px;
        width: 16px;
        background-repeat: no-repeat;
    }


    .addWidgetBtn {
        background-image: url("images/icon_plus_16x16.png");
        height: 14px;
        top: 3px;
    }

    .connectionPopup {
        overflow:visible;
    }

    .connectionPopup .z-window-overlapped.z-window-noborder .z-window-content{
        background: transparent;
        overflow: visible;
    }

    .connectionPopup .z-popup-cl,
    .connectionPopup .z-popup-cr,
    .connectionPopup .z-popup-cm {
        background: none;
    }


    .connectBtn.connectBtn_connected {
        background-image: url(images/icon_status_link_good.png);
    }

    .connectBtn.connectBtn_disconnected {
        background-image: url(images/icon_func_link_available.png);
    }

    .removeWidgetBtn {
        background-image: url(images/icon_close_16x16.png);
        margin-top: 3px;
    }

    .widgetClipboard .removeWidgetBtn {
        position: absolute;
        top: 8px;
        right: 10px;
    }

    .toolbarComp {
        margin-top: 12px;
        margin-left: 6px;
    }
    .toolbarComp.z-combobox{
        display: inline-table;
        max-width: 130px;
        width: auto;
    }

    .toolbarComp.cng-widget-clipboard{
        margin-top: 8px;
        position: relative;
    }


    .mainToolbar .toolbarComp.z-combobox{
            margin-top: 5px;
    }

    .exitBtn {
        padding-top: 15px;
        padding-left: 10px;
        float: left;
        text-transform: uppercase;
        color: white;
        cursor: pointer;
    }

    .templateBtn_activated {
        background-image: url(images/templateIconActive.png);
    }

    .templateBtn_deactivated {
        background-image: url(images/templateIconInactive.png);
    }

    .cng-adminmode-symbolic .invisibleChildrenBtn {
        display: none;
    }
    .invisibleChildrenBtn {
        background-image: url(images/icon_notvisible_16x16.png);
        background-position: 2px 2px;
    }

    .settingsBtn {
        background-image: url(images/icon_edit_available_16x16.png);
        background-position: 2px 2px;
    }

    .groupBtn {
        background-image: url(images/icon_func_group.png);
        background-position: 2px 2px;
    }

    .groupBtn.ungroup {
        background-image: url(images/icon_func_ungroup.png);
    }

    .invisibleWidgetChildren > .widget_cnt > .widget_toolbar {
        background: yellow;
        border: none;
    }

    .invisibleWidgetChildren > .widget_cnt > div > .widget_cnt > .widget_body > .widget_toolbar {
        top: 0;
        left: 0;
        right: 0;
    }

    .invisibleWidgetChildren > .widget_cnt.widget_children {
        border: 2px dotted yellow;
        top: 0;
    }

    .invisibleChildrenVisible > .invisibleWidgetChildren {
        z-index: 1;
    }

    .cng-adminmode .widget_children_list > .widget_cnt {
        position: relative;
        margin: 5px;
        left: 0;
    }

    .widget_children_list > .widget_cnt > .widget_body {
        top: 0;
        left: 0;
        right: 0;
        position: relative;
    }
    .invisibleChildrenVisible > .widget_body {
        top: 200px;
    }

    .cng-adminmode.cng-adminmode-symbolic .invisibleWidgetChildren {
        display: none;
    }

    .cng-adminmode .invisibleWidgetChildren {
        display: block;
        position: relative;
        margin: 40px 5px 5px 5px;
        height: 150px;
    }

    .invisibleWidgetChildren .z-label {
        color: #4B5366;
    }

    /* connWizard*/

    .widgetConnWizardLabel {
        font-weight: bold;
        display: block;
        padding: 3px;
    }

    .widgetConnWizardLabelInfo {
        display: block;
        padding: 10px 0 10px 10px;
        font-family: 'Roboto',Arial,sans-serif;
        font-size: 14px;
        font-weight: 500;
        color: #043263;
    }

    .widgetConnWizardRemoveBtnContainer {
         text-align: center;
    }

    .z-listbox.widgetConnWizardLB {
        border: none;
        overflow-x: hidden;
        overflow-y: auto;
    }


    .widgetConnWizardSouth {
        border-top: 1px solid #bbb;
    }

    .widgetConnWizardWest {
        border-right: 1px solid #bbb;
    }

    .widgetConnWizardListCnt {
        position: absolute;
        top: 40px;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .widgetConnWizardTree span.z-tree-line{
        float: left;
    }

    .widgetConnWizardContainer .z-listcell-content > .z-panel-header,
    .widgetConnWizardContainer .z-treecell-content > .z-panel-header{
        background: none;
        border: none;
    }

    .widgetConnWizardContainer tr.z-listitem-selected{
        background: #085abc;
    }

    .widgetConnWizardContainer tr.z-listitem-selected:hover{
        background: #094388;
    }


     .widgetConnWizardContainer .z-treerow-selected .z-panel-header,
    .widgetConnWizardContainer .z-treerow-selected .z-panel-header .widgetName > .z-label ,
    .widgetConnWizardContainer .z-listitem-selected .z-panel-header,
    .widgetConnWizardContainer .z-listitem-selected .z-panel-header .widgetName > .z-label ,
    .widgetConnWizardContainer .z-listitem-selected:hover .z-panel-header{
        color: #fff;
    }
    .widgetConnWizardContainer tr.z-listitem:hover > td.z-listcell,
    .widgetConnWizardContainer tr.z-listitem > td.z-listcell{
        border-left: none;
        border-right: none;
    }

    .widgetConnWizardContainer .z-panel-header{
        color: #555555;
    }

    .widgetConnWizardContainer tr.z-listgroup{
        background: #6f7c91;
    }

    .widgetConnWizardContainer tr.z-listgroup td.z-listgroup-inner{
        border: 1px solid #6f7c91;
    }

    .widgetConnWizardContainer td.z-listgroup-inner div.z-listcell-content{
        color: #fff;
    }

    .widgetConnWizardContainer div.z-listbox-header tr.z-listhead{
        background: #6f7c91;
    }

    .widgetConnWizardContainer div.z-listheader-content{
        color: #fff;
    }

    .widgetConnWizardContainer div.z-tree-body td.z-treecell{
        border-bottom: 1px solid #D3D9DF;
    }

    .widgetConnWizardContainer div.z-tree-body tr:last-child td.z-treecell{
        border: none;
    }

    .widgetConnWizardContainer tr.z-treerow:hover{
        background: #e8e8e8;
    }

    .widgetConnWizardContainer span.z-tree-root-open,
    .widgetConnWizardContainer span.z-tree-tee-open,
    .widgetConnWizardContainer span.z-tree-last-open,
    .widgetConnWizardContainer span.z-tree-root-close,
    .widgetConnWizardContainer span.z-tree-tee-close,
    .widgetConnWizardContainer span.z-tree-last-close{
        background-image: url(images/icon_arrows_toggle_sprite.png);
    }



    .typeLabelComponent {
        margin-left: 5px;
    }

    .widgetClipboard.z-drag:hover {
        border: 1px solid yellow;
        top: -1px;
        left: -1px;
        position: relative;
    }

    /*.widgetClipboard .z-groupbox-hl,
    .widgetClipboard .z-groupbox-hm,
    .widgetClipboard .z-groupbox-hr,
    .widgetClipboard .z-groupbox-3d-hl,
    .widgetClipboard .z-groupbox-3d-hm,
    .widgetClipboard .z-groupbox-3d-hr  {
        background: none;
        border: none;
    }*/

    /*.widgetClipboard .z-groupbox-tl,
    .widgetClipboard .z-groupbox-bl {
        display: none;
    }*/

    .widgetClipboard.z-groupbox-3d .z-groupbox-header {
        background: none repeat scroll 0 0 transparent;
        border: medium none;
        font-size: 12px;
        font-weight: bold;
        padding: 0 5px;
        position: relative;

    }

    .widgetClipboard.z-groupbox-3d .z-groupbox-header .z-caption{
        line-height: 22px;
    }

    .widgetClipboard > .z-groupbox-content {
        height: auto;
        position: absolute;
        left: -8px;
        width: 180px;
        border: 0 none !important;
        box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.75);
        -webkit-box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.75);
    }

    .widgetClipboard > .z-groupbox-content > .z-div {
        border: 0 none !important;
    }

    .widgetClipboard {
        background: url("images/icon_clipboard_16x16.png") no-repeat scroll 4px 2px transparent;
        padding-left: 15px;
        height: 100%;
        overflow: visible;
        border: none;
    }

    .widgetClipboard .clipboardEntry {
        cursor: pointer;
        margin: 0;
        position: relative;
        border-bottom: 1px solid #dadee4 !important;
        color: #6f7d90;
        padding: 10px;
        background-color: #FFFFFF;
    }

    .widgetClipboard .clipboardEntry .z-label {
        display: block;
    }

    .settingsContent {
        overflow-y: auto;
        width: 100%;
        height: 350px;
        min-width: 300px;
    }

    .settingsContent button.z-button {
        font-size: 0;
        width: $admin-defaults__z-button--size;
        height: $admin-defaults__z-button--size;
        background: url(images/icon_close_16x16.png) no-repeat center;
    }

    .settingsContent .z-textbox
    .settingsContent .stringSetting {

        box-sizing: border-box;
        -moz-box-sizing: border-box;
        -webkit-box-sizing: border-box;
        width: 100%;
    }
    .settingsContent .integerSetting .z-spinner-input,
    .settingsContent .doubleSetting .z-doublespinner-input{
        width:110px;
    }

    .settingsBottomCnt {
        text-align: right;
        padding: 3px;
    }

    .settingsRow .z-label {
        max-width: 130px;
        display: block;
    }

    .settingsRow {
    /* 	border-bottom: 1px solid #eee; */
    }

    .z-window-modal.z-window-content, .z-window-highlighted.z-window-content, .z-window-overlapped.z-window-content {
        padding: 0;
    }

    .widgetFallbackImg {
        background: url("images/favicon_default.gif");
        width: 34px;
        height: 34px;
    }

    .widgetFallbackImg div {
        width: 34px;
        height: 34px;
    }

    div.z-listbox-body .y-iconcell {
        width: 22px;
    }

    div.z-listbox-body .y-removeBtn {
        width: 30px;
    }

    .y-removeBtn .z-toolbarbutton-content {
        height: 12px;
    }

    div.z-listbox-body .y-iconcell {
        padding: 0 0 0 7px;
    }

    div.roleIndicatorOverlay {
        -moz-border-radius: 1px;
        -webkit-border-radius: 1px;
        border-radius: 1px;
        -moz-box-shadow: 0px 0px 5px #000000;
        -webkit-box-shadow: 0px 0px 5px #000000;
        box-shadow: 0px 0px 5px #000000;
        position: fixed;
        top: 0px;
        right: 0px;
        background: #303e58;
        z-index: 9000;
        opacity: 0.7;
        margin-right: 15px;
        margin-top: 10px;
    }


    .roleIndicatorOverlay td{
        vertical-align: middle;
    }

    .roleIndicatorOverlay td.z-hbox-separator{
        background-color: #455269;
        width: 1px;
        border-left: 1px solid #263246;
    }

    .rolepreview,
    .roleselector{
        float: left;
        padding: 1px 0 0;
    }

    .rolepreview,
    .symbolicCheck{
        padding-right: 10px;
    }

    .cng_admin_outset_outer{
        padding-right: 10px;
        padding-left: 10px;
        }
    /* zk7-revised */
    .cng_admin_slider.z-slider-horizontal{
        height:22px;
        margin-top: 7px;
        padding: 0px;
    }

    .enablePreviewImg {
        background: url("images/icon_func_admin_rolepreview_default.png");
        width: 18px;
        height: 12px;
        display: inline-block;
    }

    .stopImpersonationPreview {
        background: url("images/icon_func_admin_rolepreview_disable.png");
        width: 37px;
        height: 26px;
    }

    .roleIndicatorLabel
    {
        color: white;
        text-align: center;
        font-size: 0.8em;
        font-weight: normal;
    }

    .roleindicatorComp
    {
        margin: 10px 10px 10px 10px;
    }

    .widgetName .inOutLabel.z-label {
        float: right;
        margin-right: 5px;
        font-size: .8em;
    }

    /* DO NOT REMOVE THIS, IT IS FOR KEEP THE CONTENT SCROLLABLE */
    .cng-adminmode.cng-adminmode-symbolic{
        height:inherit;
        width:inherit;
        overflow: inherit;
    }


    .widgetConnWizardLB .z-listbox-body, .widgetConnWizardLB .z-listbox-body > table{
        width: 100% !important;
    }


 .cockpit-config-filter {
    overflow:auto;
     padding-left: 10px;
     padding-top: 10px;
}
.cockpit-config-filter .attribute-container {
    background-color: white;
    padding: 5px;
    margin-right: 10px;

}


.cockpit-config-filter .attribute-name-label {
    font-weight: bold;
     text-transform: capitalize;
    padding-left: 10px;
 }

 .cockpit-config-filter .attribute-filter-textbox {
     background-image: url('images/magnify_glass.png');
     background-repeat: no-repeat;
     background-position: right;
 }

.show-filter-options-button {
    width: 100%;
    color: #7B848E;
    background-color: #C2C9D2;
    text-align: center;
    text-transform: uppercase;
}

.show-filter-options-button.z-toolbarbutton:hover .z-toolbarbutton-content {
    color: #ffffff;
}

.cockpit-config-filter .selected-attribute-container {
    display: inline-block;
    background-color: #5C6A7D;
}

.cockpit-config-filter .selected-attribute-value-label {
    color: #ffffff;
    padding-left: 10px;
    height: 20px;
    display: inline-block;
}

.cockpit-config-filter .selected-attribute-value-remove {
    background-color: #5C6A7D;
    background-image: url('images/icon_func_delete_white_16.png');
    background-repeat: no-repeat;
    height: 20px;
    min-height: 20px;
    width: 16px;
    margin-left: 0px;
    margin-right: 10px;
    padding: 0px;

}

.cockpit-config-filter .attribute-find-parent {
    line-height: 30px;
    width: 100%;
}

.label-warning {
    background-image: url("images/sprites.jpg");
    background-position: -32px 3px;
    background-repeat: no-repeat;
    padding-left: 20px;
    padding-top: 2px;
}

.cockpit-config-filter .search-parent {
    background-image: url('images/magnify_glass.png');
    background-repeat: no-repeat;
    background-position: 6px 6px;
}

.cockpit-config-filter .clear-parent {
    background-image: url('images/icon_func_delete_white_16.png');
    background-repeat: no-repeat;
    background-position: 6px 6px;
}

.filterDiv .searchButtonSection {
    line-height: 30px;
}

.cockpit-config-filter div.z-listbox-body .z-listcell {
    border-style: none;
}

.cockpit-config-filter div.z-listbox-body {
    background-color: #ffffff;
}

.cockpit-config-filter .attribute-container tbody.z-listbox-emptybody td {
    font-size: smaller;
}

.cockpit-config-filter .disabled_listbox div.z-listbox-body {
    background-color: #f2f2f2;
}

.cockpit-config-filter .disabled_listbox .z-listcell div.z-listcell-content {
    background-color: #f2f2f2;
    color:#acacac;
}

.cockpit-config-filter .btn_minimalize {
    background-color: transparent;
    background-image: url("images/icon_func_colapse_sprite.png") !important;
    background-repeat: no-repeat;
    height: 16px;
    min-height: 16px;
    padding: 0;
    width: 16px;

}

.cockpit-config-filter .btn_minimalize.expanded {
    background-position: 0px 0px;
}
.cockpit-config-filter .btn_minimalize.expanded-disabled {
    background-position: 0px -16px;
}

.cockpit-config-filter .btn_minimalize.collapsed {
    background-position: -16px 0px;
}

.yw-validationInfo {
    font-size: 15px;
    padding: 2px;
}

.yw-error .yw-validationInfo {
    color: #f16b46;
}
.yw-warning .yw-validationInfo {
    color: #ff9914;
}
.yw-success .yw-validationInfo {
    color: #025eba;
}

